package com.icesoft.support;

import java.io.Serializable;
import javax.faces.bean.CustomScoped;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;
import org.icefaces.ace.component.fileentry.FileEntry;
import org.icefaces.ace.component.fileentry.FileEntryEvent;
import org.icefaces.ace.component.fileentry.FileEntryResults;

@ManagedBean
//@CustomScoped(value = "#{window}")
@SessionScoped
public class TestBean implements Serializable {

    public void upload(FileEntryEvent entryEvent) {
        System.out.println("customValidator: " + entryEvent);
        FileEntryResults results = ((FileEntry) entryEvent.getComponent())
                .getResults();
        for (FileEntryResults.FileInfo file : results.getFiles()) {
            if (file.getFile() != null) {
                System.out.println("FILE: " + file.getFile().getAbsolutePath());
                System.out.println(file.getFile().exists());
            } else {
                System.out.println("No file.");
            }
            if (file.isSaved()) {
                System.out.println("SAVED");
            }
        }
    }
}
